io.vertx.reactivex.ext.shell

## Class ShellService

- java.lang.Object
- - io.vertx.reactivex.ext.shell.ShellService

-     public class ShellService
      extends Object

  The shell service, provides a remotely accessible shell available via Telnet or SSH according to the `ShellServiceOptions` configuration.

  The shell service will expose commands using `CommandResolver` on the classpath and the shared command registry for the Vert.x instance.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ShellService>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellService(Object delegate)`
    `ShellService(ShellService delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShellService` | `create(Vertx vertx)` Like `create(io.vertx.reactivex.core.Vertx)`, with default options.
    `static ShellService` | `create(Vertx vertx, ShellServiceOptions options)` Create a new shell service.
    `boolean` | `equals(Object o)`
    `ShellService` | `getDelegate()`
    `int` | `hashCode()`
    `static ShellService` | `newInstance(ShellService arg)`
    `Completable` | `rxStart()` Start the shell service, this is an asynchronous start.
    `Completable` | `rxStop()` Stop the shell service, this is an asynchronous start.
    `ShellServer` | `server()`
    `void` | `start()` Start the shell service, this is an asynchronous start.
    `void` | `start(Handler<AsyncResult<Void>> startHandler)` Start the shell service, this is an asynchronous start.
    `void` | `stop()` Stop the shell service, this is an asynchronous start.
    `void` | `stop(Handler<AsyncResult<Void>> stopHandler)` Stop the shell service, this is an asynchronous start.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ShellService> __TYPE_ARG

  - ### Constructor Detail

    - #### ShellService

          public ShellService(ShellService delegate)

    - #### ShellService

          public ShellService(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ShellService getDelegate()

    - #### create

          public static ShellService create(Vertx vertx)

      Like `create(io.vertx.reactivex.core.Vertx)`, with default options.
      Parameters:
        `vertx` -
      Returns:

    - #### create

          public static ShellService create(Vertx vertx,
                                            ShellServiceOptions options)

      Create a new shell service.
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the service config options
      Returns:
        the shell service

    - #### start

          public void start(Handler<AsyncResult<Void>> startHandler)

      Start the shell service, this is an asynchronous start.
      Parameters:
        `startHandler` - handler for getting notified when service is started

    - #### start

          public void start()

      Start the shell service, this is an asynchronous start.

    - #### rxStart

          public Completable rxStart()

      Start the shell service, this is an asynchronous start.
      Returns:

    - #### server

          public ShellServer server()

      Returns:
        the shell server

    - #### stop

          public void stop(Handler<AsyncResult<Void>> stopHandler)

      Stop the shell service, this is an asynchronous start.
      Parameters:
        `stopHandler` - handler for getting notified when service is stopped

    - #### stop

          public void stop()

      Stop the shell service, this is an asynchronous start.

    - #### rxStop

          public Completable rxStop()

      Stop the shell service, this is an asynchronous start.
      Returns:

    - #### newInstance

          public static ShellService newInstance(ShellService arg)

Copyright © 2024 Eclipse. All rights reserved.